﻿@using TaskTracker.Extensions;
@model WorkspaceModel
<div class="row">
    <div class="col-lg-6 align-items-stretch">
        <h4 class="mb-5"> General Info</h4>
        <form id="update-workspace-info-form" asp-controller="workspace" asp-action="updateInfo" autocomplete="off" data-ajax="true" data-ajax-method="POST" data-ajax-success="onWorkspaceInfoUpdated">
            <input type="hidden" asp-for="@Model.Id" />
            <div class="mb-4">
                <label class="form-label control-label required" asp-for="@Model.Name">Workspace Name</label>
                <input type="text" class="form-control" asp-for="@Model.Name">
                <span asp-validation-for="@Model.Name"></span>
            </div>
            <div class="mb-4">
                <label class="form-label control-label" asp-for="@Model.Description">Description (Optional)</label>
                <textarea class="form-control" rows="6" asp-for="@Model.Description"></textarea>
                <span asp-validation-for="@Model.Description"></span>
            </div>
            @* todo: cannot delete the last workspace *@
            @* todo: Edit/ Delete Workspace Separate access right *@

            <div>
            @if (ViewBag.AddUser)
            {
                    <button type="submit" class="btn btn-primary me-2"> Save Changes </button>
            }
            @if (Model.CreatedById == User.GetUserId())
            {
                    <button type="submit" class="btn btn-danger me-2" onclick="deleteWorkspace(@Model.Id)"> Delete Workspace </button>
            }
            </div>
        </form>
    </div>
</div>